dnl $Id$
dnl config.m4 for extension panda

PHP_ARG_WITH(panda, for panda support,
[  --with-panda=DIR      Include panda support])

if test "$PHP_PANDA" != "no"; then
  SEARCH_PATH="/usr/local /usr"
  SEARCH_FOR="/include/panda/functions.h"
  if test -r $PHP_PANDA/$SEARCH_FOR; then
    PANDA_DIR=$PHP_PANDA
  else
    AC_MSG_CHECKING([for panda files in default path])
    for i in $SEARCH_PATH ; do
      if test -r $i/$SEARCH_FOR; then
        PANDA_DIR=$i
        AC_MSG_RESULT(found in $i)
      fi
    done
  fi
  
  if test -z "$PANDA_DIR"; then
    AC_MSG_RESULT([not found])
    AC_MSG_ERROR([Please reinstall the panda distribution])
  fi

  LIBNAME=panda
  LIBSYMBOL=panda_link 

  PHP_CHECK_LIBRARY($LIBNAME,$LIBSYMBOL,
  [
    PHP_ADD_LIBRARY_WITH_PATH($LIBNAME, $PANDA_DIR/lib, PANDA_SHARED_LIBADD)
    AC_DEFINE(HAVE_PANDALIB,1,[ ])
  ],[
    AC_MSG_ERROR([wrong panda lib version or lib not found])
  ],[
    -L$PANDA_DIR/lib -lm -lpanda
  ])
  
  PHP_SUBST(PANDA_SHARED_LIBADD)

  PHP_NEW_EXTENSION(panda, panda.c, $ext_shared)
fi
